import { FormConfig } from "/@/components/PageSearch";
import { INV_OPEN_STATUS } from "/@/utils/details/inv-open";

const searchFormConfig: FormConfig = {
  colLayout: { span: 8 },
  formItems: [
    {
      field: "invNo",
      type: "input",
      placeholder: "发票申请编号"
    },
    {
      field: "buyer_name",
      type: "input",
      placeholder: "客户名称"
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "申请人"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      span: 4,
      options: INV_OPEN_STATUS
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    }
  ]
};

export default searchFormConfig;
