import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/netOrderEnter/netOrderEntry";

const columns = [
  {
    type: "selection",
    minWidth: 55,
    align: "left",
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    minWidth: 60,
    align: "left",
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    type: "expand",
    label: "",
    slot: "expand",
  },
  {
    prop: "orderCode",
    label: "确认单编号",
    width: "165px",
    // fixed: "left",
  },
  {
    prop: "sale_name",
    label: "业务员",
    width: "70px",
  },
  {
    prop: "khNo",
    label: "企业客户编码",
    width: "125px",
  },
  {
    prop: "khName",
    label: "企业客户",
    "min-width": "190px",
  },
  {
    prop: "companyNo",
    label: "确认单销售公司编码",
    width: "175px",
  },
  {
    prop: "companyName",
    label: "确认单销售公司",
    "min-width": "190px",
  },

  {
    prop: "cgdNo",
    label: "采购单号",
    width: "165px",
  },
  {
    prop: "supplierNo",
    label: "供应商编号",
    width: "140px",
  },
  {
    prop: "supplierName",
    label: "供应商",
    "min-width": "190px",
  },
  {
    prop: "ordertime",
    label: "创建时间",
    width: "140px",
  },
  {
    prop: "",
    label: "操作",
    width: "85px",
    slot: "operation",
    fixed: 'right'
  }
];

const contentConfig: ContentConfig = {
  title: "订单对账查询",
  columns,
  superUserNoAction: true,
  apis: {
    httpList,
    httpAdd: true,
    httpUpdate: true
  }
};

export default contentConfig;
