import { FormConfig } from "/@/components/PageSearch";
import {
  cg_order_type_options,
  cg_order_source_options
} from "/@/utils/status";

import { cgdStatusOptions, sendStatusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "sequenceNo", label: "采购单编号" },
          { value: "cxCode", label: "采购主编号" },
          { value: "qrdCode", label: "确认单编号" },
          // { value: "supplierNo", label: "卖出方公司编号" },
          // { value: "supplierName", label: "卖出方公司名称" },
          { value: "qrdCode", label: "订单编号" },
          { value: "goodNo", label: "商品编号" },
          { value: "goodName", label: "商品名称" },
          { value: "bkCode", label: "备库单号" },
          { value: "cgder", label: "采购员名称" }
        ]
      }
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    },
    {
      field: "status",
      type: "select",
      placeholder: "是否对账",
      options: cgdStatusOptions
    },
    {
      field: "sendstatus",
      type: "select",
      placeholder: "状态",
      options: sendStatusOptions
    },
    {
      field: "cgdsource",
      type: "select",
      placeholder: "订单来源",
      options: cg_order_source_options
    },
    {
      field: "cgdtype",
      type: "select",
      placeholder: "商品类型",
      options: cg_order_type_options
    }
  ]
};

export default searchFormConfig;
