import { ContentConfig } from "/@/components/PageContent";
import { httpList, httpDelete } from "/@/api/purchase/orderPay";

import { h } from "vue";
import { ElTag } from "element-plus";
import { statusOptions } from "./_options";

const columns = [
  {
    label: "对账付款编号",
    prop: "dzNo",
    width: 160,
    align: "left"
  },
  {
    label: "对账编号",
    prop: "payNo",
    width: 160
  },
  {
    label: "状态",
    prop: "dstatus",
    minWidth: 140,
    transform: dstatus =>
      statusOptions.find(s => String(dstatus) === s.value)?.label,
    cellRenderer: ({ row, props }) =>
      h(
        ElTag,
        {
          size: props.size
        },
        {
          default: () =>
            statusOptions.find(s => String(row.dstatus) === s.value)?.label
        }
      )
  },
  {
    label: "对账总金额",
    prop: "total_fee",
    width: 110
  },
  {
    label: "本次付款金额",
    prop: "dpay_fee",
    width: 110,
    align: "left"
  },
  {
    label: "卖方公司编号",
    prop: "supplierNo",
    width: 160,
    align: "left"
  },
  {
    label: "卖方公司名称",
    prop: "supplierName",
    minWidth: 180
  },
  {
    label: "买方公司编号",
    prop: "companyNo",
    width: 160
  },
  {
    label: "买方公司名称",
    prop: "companyName",
    minWidth: 180
  },

  {
    label: "申请人",
    prop: "apply_name",
    minWidth: 90,
    align: "left"
  },
  {
    label: "申请时间",
    width: 160,
    prop: "addtime"
  },
  {
    label: "操作",
    fixed: "right",
    width: 100,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购付款",
  columns,
  deleteProp: "dzNo",
  superUserNoAction: true,
  showDelete: ({ dstatus }) => Number(dstatus) === 1,
  apis: {
    httpList,
    httpDelete,
    httpAdd: true
  }
};

export default contentConfig;
