import { ContentConfig } from "/@/components/PageContent";
import { httpList, httpDelete } from "/@/api/purchase/purchPayRelive";

import dayjs from "dayjs";
import { h } from "vue";
import { ElTag } from "element-plus";
import { statusOptions } from "./_options";

const columns = [
  // {
  //   type: "selection",
  //   minWidth: 55,
  //   align: "left",
  //   hide: ({ checkList }) => !checkList.includes("勾选列")
  // },
  // {
  //   label: "序号",
  //   type: "index",
  //   minWidth: 60,
  //   align: "left",
  //   hide: ({ checkList }) => !checkList.includes("序号列")
  // },
  {
    label: "付款解除编号",
    prop: "returnCode",
    width: 160,
    align: "left"
  },
  {
    label: "对账付款编号",
    prop: "orderCode",
    width: 160,
    align: "left"
  },

  {
    label: "对账编号",
    prop: "payNo",
    width: 160,
    align: "left"
  },
  {
    label: "卖方公司编号",
    prop: "supplierNo",
    width: 160,
    align: "left"
  },
  {
    label: "卖方公司名称",
    prop: "supplierName",
    minWidth: 180
  },
  {
    label: "买方公司编号",
    prop: "companyNo",
    width: 160
  },
  {
    label: "买方公司名称",
    prop: "companyName",
    minWidth: 180
  },
  {
    label: "状态",
    prop: "status",
    minWidth: 130,
    cellRenderer: ({ row, props }) =>
      h(
        ElTag,
        {
          size: props.size
        },
        {
          default: () =>
            statusOptions.find(s => String(row.status) === s.value)?.label
        }
      )
  },
  {
    label: "申请人",
    prop: "apply_name",
    minWidth: 90,
    align: "left"
  },
  {
    label: "申请时间",
    minWidth: 180,
    prop: "addtime",
    formatter: ({ addtime }) => dayjs(addtime).format("YYYY-MM-DD HH:mm:ss")
  },
  {
    label: "操作",
    fixed: "right",
    width: 100,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购付款",
  columns,
  deleteProp: "dzNo",
  showDelete: ({ dstatus }) => Number(dstatus) !== 3,
  superUserNoAction: true,
  apis: {
    httpList,
    httpDelete,
    httpAdd: true
  }
};

export default contentConfig;
