import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "companyNo",
      type: "business-query",
      placeholder: "买入方公司"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编号"
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: statusOptions
    }
  ]
};

export default searchFormConfig;
